SREVIEW-DETECT(1p)

NAME
sreview-detect - detect new files for SReview

SYNOPSIS
sreview-detect [--verbose] [--day-finish] [--help] [--process-max=N]

DESCRIPTION
sreview-detect is used to detect new files in the SReview input directory, and add them to the database. Additionally, sreview-detect will update the length (but not the other metadata) of files that already exist in the database. This makes it safe to run on input files that are still being written to.

It is designed to be run from cron (or a similar scheduling system) on a regular basis. Care should be taken to not overload the server on which it runs; while at the same time it should run regularly enough so that review is not waiting for too long.

OPTIONS

  --verbose
Produce verbose output. Will log which files are being examined.

Defaults to on if the environment variable "KUBERNETES_PORT" exists, off otherwise.

  --day-finish
Normally, "sreview-detect" migrates talks to the next state from "waiting_for_files" if there is enough content available to fill all the scheduled time for that talk (minus 5 seconds, to account for the fact that sometimes the video does not exactly add up to the correct length). This is normally what you want, when cameras record continuously and content is uploaded in between breaks in talks.

However, if the final talk of the day ends early, and the recording system is shut down immediately when the speaker stops speaking but before the scheduled time for the talk has arrived, then SReview will never see enough content for the talk to be considered "complete", and that final talk will remain stuck in the "waiting_for_files" state.

To remedy this, use the "--day-finish" flag. This will migrate all talks that are still in the "waiting_for_files" state, but for which at least some content was found. This will correctly ignore talks that are scheduled for the next day, but will allow talks for which some content was found to move to the cutting state.

  --process-max=N
Set the maximum number of files that will be processed in a single run; 0 means no limit. Defaults to 0.